function y = detrendquadsaq(x)
%DETRENDQUAD Remove a quadratic trend and seasonal factors from a quarterly vector
%   Y = DETRENDQUAD(X) removes the best straight-line fit linear trend from the
%   data in vector X and returns the residual in vector Y.  If X is a
%   matrix, DETREND removes the trend from each column of the matrix.
%


n = size(x,1);
if n == 1,
  x = x(:);			% If a row, turn into column vector
end
N = size(x,1);

dumq1(1:N)=0;
dumq2(1:N)=0;
dumq3(1:N)=0;
dumq4(1:N)=0;

dumq1(1:4:N) = 1;
dumq2(2:4:N) = 1;
dumq3(3:4:N) = 1;
dumq4(4:4:N) = 1;

[mmm,mmmm,y] = regress(x,...
      [ ones(N,1) dumq1(:) dumq2(:) dumq3(:) cumsum(ones(N,1)) cumsum(ones(N,1)).^2 ]);

